/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package ChatProgramm.model;

import ChatProgramm.controller.GrafikController;
import ChatProgramm.controller.commands.CommandConnect;
import ChatProgramm.controller.commands.CommandSend;
import ChatProgramm.util.OhmLogger;
import java.util.concurrent.Flow;
import java.util.concurrent.Flow.Subscriber;
import java.util.concurrent.SubmissionPublisher;
import java.util.logging.Logger;

/**
 *
 * @author Js-Sc
 */
public class ChatModel implements Subscriber<Figur> {

    private static Logger lg = OhmLogger.getLogger();
    private SubmissionPublisher<Figur> figurPublisher;

    private Transmitter transmitter;
    private GrafikDaten grafikDaten;
    
    private CommandConnect cConnect;
    private CommandSend cSend;
    private ReceiveAdapter rAdapter;
    private GrafikController gController;
    
    public ChatModel(GrafikDaten gDaten) {
        this.grafikDaten = gDaten;
        this.transmitter = null;
        
        this.figurPublisher = new SubmissionPublisher<>();
    }
    
    public void setTransmitter(Transmitter transmitter)
    {
        this.transmitter = transmitter;
    }

    

    public void addSubscription(Subscriber<Figur> subscriber) {
        figurPublisher.subscribe(subscriber);
    }

    @Override
    public void onSubscribe(Flow.Subscription subscription) {
        throw new UnsupportedOperationException("Not supported yet."); // Generated from nbfs://nbhost/SystemFileSystem/Templates/Classes/Code/GeneratedMethodBody
    }

    @Override
    public void onNext(Figur item) {
        throw new UnsupportedOperationException("Not supported yet."); // Generated from nbfs://nbhost/SystemFileSystem/Templates/Classes/Code/GeneratedMethodBody
    }

    @Override
    public void onError(Throwable throwable) {
        throw new UnsupportedOperationException("Not supported yet."); // Generated from nbfs://nbhost/SystemFileSystem/Templates/Classes/Code/GeneratedMethodBody
    }

    @Override
    public void onComplete() {
        throw new UnsupportedOperationException("Not supported yet."); // Generated from nbfs://nbhost/SystemFileSystem/Templates/Classes/Code/GeneratedMethodBody
    }

}
